Subject: Re: bug#32790: 27.0.50; point jumps unexpectedly after delete-window

From: Juri Linkov <[email-masked]>
Date: Mon, 19 Nov 2018 00:52:52 +0200

>>> I would have to understand the "behavior" first.  One approach would
>>> be to move the user-error and 'switch-to-buffer-preserve-window-point'
>>> handling into the interactive specification handling and for the rest
>>> do what 'pop-to-buffer-same-window' does.
>>
>> Or maybe to add a new option that will allow switch-to-buffer
>> to use pop-to-buffer-same-window.
>
> Allow or mandate?  Always?

Like `switch-to-buffer-in-dedicated-window' has the option `pop',
another customizable variable could provide a similar non-default
option that will call pop-to-buffer-same-window from switch-to-buffer.

Or maybe simpler to create a new command e.g. switch-to-buffer-same-window
based on switch-to-buffer-other-window?